<?php

	include_once( PLOG_CLASS_PATH."class/plugin/pluginbase.class.php" );
	
	class PluginFeedReader extends PluginBase 
	{
		function PluginFeedReader()
		{
			$this->PluginBase();
			
			$this->id = "feedreader";
			$this->description = "RSS/Atom feed reader integrated into pLog's admin interface";
			$this->author = "The pLog Team";
			$this->locales = Array( "en_UK" , "zh_TW" , "zh_CN", "es_ES" );
			
			// register our actions
			$this->registerAdminAction( "feedReader", "FeedReaderAction" );
			$this->registerAdminAction( "readFeed", "ReadFeedAction" );
			
			// register a new menu entry
			$this->addMenuEntry( "/menu/Manage/manageLinks",      // menu path
			                     "feedReader",   // menu id
								 "?op=feedReader",
								 "feedReader",
								 true, 
								 false );
		}
	}
?>